# Worldmap

[![Python](https://img.shields.io/pypi/pyversions/worldmap)](https://img.shields.io/pypi/pyversions/worldmap)
[![PyPI Version](https://img.shields.io/pypi/v/worldmap)](https://pypi.org/project/worldmap/)
[![License](https://img.shields.io/badge/license-MIT-green.svg)](https://github.com/erdogant/googletrends/blob/master/LICENSE)
[![Github Forks](https://img.shields.io/github/forks/erdogant/worldmap.svg)](https://github.com/erdogant/worldmap/network)
[![GitHub Open Issues](https://img.shields.io/github/issues/erdogant/worldmap.svg)](https://github.com/erdogant/worldmap/issues)
[![Project Status](http://www.repostatus.org/badges/latest/active.svg)](http://www.repostatus.org/#active)
[![Downloads](https://pepy.tech/badge/worldmap/month)](https://pepy.tech/project/worldmap/month)
[![Downloads](https://pepy.tech/badge/worldmap)](https://pepy.tech/project/worldmap)
[![Sphinx](https://img.shields.io/badge/Sphinx-Docs-Green)](https://erdogant.github.io/worldmap/)
<!---[![BuyMeCoffee](https://img.shields.io/badge/buymea-coffee-yellow.svg)](https://www.buymeacoffee.com/erdogant)-->
<!---[![Coffee](https://img.shields.io/badge/coffee-black-grey.svg)](https://erdogant.github.io/donate/?currency=USD&amount=5)-->

``worldmap`` is a light weighted Python package that enables easy coloring of countries and/or regions in the world.
For this package, the svg images from https://www.w3.org are utilized, processed and colored.
It requires downloading the svg files a single time and then works offline.

# 
**⭐️ Star this repo if you like it ⭐️**
#

#### Install worldmap from PyPI

```bash
pip install worldmap
```

#### Import worldmap package

```python
import worldmap as wm
```
# 


### [Documentation pages](https://erdogant.github.io/worldmap/)

On the [documentation pages](https://erdogant.github.io/worldmap/) you can find detailed information about the working of the ``worldmap`` with many examples. 

<hr> 

### Examples

# 

* [Example: color the different regions in a country](https://erdogant.github.io/worldmap/pages/html/Examples.html)

<p align="left">
  <a href="https://erdogant.github.io/worldmap/pages/html/Examples.html">
  <img src="https://github.com/erdogant/worldmap/blob/master/docs/figs/figure_netherlands.png" width="300" />
  </a>
</p>


# 

* [Example: color the different in the worldmap](https://erdogant.github.io/worldmap/pages/html/Examples.html#coloring-of-country-in-worldmap)

<p align="left">
  <a href="https://erdogant.github.io/worldmap/pages/html/Examples.html#coloring-of-country-in-worldmap">
  <img src="https://github.com/erdogant/worldmap/blob/master/docs/figs/fig_world.png" width="600" />
  </a>
</p>


# 
* [Example: Retrieve all Map Names](https://erdogant.github.io/worldmap/pages/html/Examples.html#retrieve-all-map-names)
# 
* [Example: Retrieve county Names](https://erdogant.github.io/worldmap/pages/html/Examples.html#retrieve-county-names)
# 
* [Example: Convert county name to abbrevation](https://erdogant.github.io/worldmap/pages/html/Examples.html#convert-country-to-abbrevation)
# 
* [Example: Convert abbrevation to county name](https://erdogant.github.io/worldmap/pages/html/Examples.html#convert-abbrevations-to-county-names)

<hr>

### References:
* http://www.w3.org/Consortium/Legal/copyright-software

### Maintainers
* Erdogan Taskesen, github: [erdogant](https://github.com/erdogant)

### Contribute
* All kinds of contributions are welcome!
* If you wish to buy me a <a href="https://www.buymeacoffee.com/erdogant">Coffee</a> for this work, it is very appreciated :)


